import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSURL } from "../Foundation/NSURL.js";
export declare class _VZSharedDirectory extends _NSObject {
    static alloc(): _VZSharedDirectory;
    static new(): _VZSharedDirectory;
    init(): _VZSharedDirectory;
    /**
     * Initialize with a host directory. Local file URL to expose to the guest. Whether or not the directory will be exposed as read-only to the guest.
     */
    initWithURL$readOnly$(url: _NSURL, readOnly: boolean): _VZSharedDirectory;
    /**
     * File URL to a directory on the host to expose to the guest. The URL must point to an existing directory path in the host file system.
     */
    URL(): _NSURL;
    /** Whether or not the directory will be exposed as read-only to the guest. */
    readOnly(): boolean;
}
